ARES_SET_SOCKET_CALLBACK(3)

NAME
ares_set_socket_callback - Set a socket creation callback

SYNOPSIS
int ares_set_socket_callback(ares_channel channel,
                             ares_sock_create_callback callback,
                             void *userdata)

DESCRIPTION
This function sets a callback in the given ares channel handle. This callback function will be invoked after the socket has been created, and connected to the remote server. The callback must return ARES_SUCCESS if things are fine, or use the standard ares error codes to signal errors back. Returned errors will abort the ares operation.

SEE ALSO
ares_init_options(3)

AVAILABILITY
ares_set_socket_callback(3) was added in c-ares 1.6.0

AUTHOR
Gregor Jasny